# IRremoteESP8266: src/ir_Gree.cpp File Reference

ir_Gree.cpp File Reference

Support for Gree A/C protocols. More...

## Variables

const uint16_t | kGreeHdrMark = 9000
const uint16_t | kGreeHdrSpace = 4500
| See #684 & real example in unit tests. More...
const uint16_t | kGreeBitMark = 620
const uint16_t | kGreeOneSpace = 1600
const uint16_t | kGreeZeroSpace = 540
const uint16_t | kGreeMsgSpace = 19000
const uint8_t | kGreeBlockFooter = 0b010
const uint8_t | kGreeBlockFooterBits = 3

## Detailed Description

Support for Gree A/C protocols.

See also
  https://github.com/ToniA/arduino-heatpumpir/blob/master/GreeHeatpumpIR.h

## Variable Documentation

## kGreeBitMark

const uint16_t kGreeBitMark = 620

## kGreeBlockFooter

const uint8_t kGreeBlockFooter = 0b010

## kGreeBlockFooterBits

const uint8_t kGreeBlockFooterBits = 3

## kGreeHdrMark

const uint16_t kGreeHdrMark = 9000

## kGreeHdrSpace

const uint16_t kGreeHdrSpace = 4500

See #684 & real example in unit tests.

## kGreeMsgSpace

const uint16_t kGreeMsgSpace = 19000

## kGreeOneSpace

const uint16_t kGreeOneSpace = 1600

## kGreeZeroSpace

const uint16_t kGreeZeroSpace = 540